Bug 1782 - testparm shows synonyms in some cases
testparm shows synonyms in some cases
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.7
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 06:12 UTC by Luke Mewburn
Modified: 2005-08-24 10:27 UTC (History)
0 users

See Also:


Attachments
loadparm-reorder.diff (2.86 KB, patch)
2004-09-16 06:14 UTC, Luke Mewburn
no flags Details
loadparm-reorder-take2.diff (3.68 KB, patch)
2004-09-16 06:36 UTC, Luke Mewburn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Mewburn 2004-09-16 06:12:28 UTC
testparm (and swat I suppose) sometimes display the synonyms (aliases) for
certain options than the canonical name, at least based on smb.conf(5).

Reordering the items in loadparm.c fixes the output of testparm to display the
canonical name. The reordered options are:
  min passwd length  ->  min password length
  timestamp logs  ->  debug timestamp
  exec  ->  preexec

Patch to follow...
Comment 1 Luke Mewburn 2004-09-16 06:14:27 UTC
Created attachment 663 [details]
loadparm-reorder.diff
Comment 2 Luke Mewburn 2004-09-16 06:35:42 UTC
An updated patch follows; "protocol" is a synonym for "max protocol" and is
unnecessarily displayed.
Comment 3 Luke Mewburn 2004-09-16 06:36:23 UTC
Created attachment 664 [details]
loadparm-reorder-take2.diff

(fixes up "protocol" as synonym for "max protocol")
Comment 4 Gerald (Jerry) Carter 2004-10-28 06:49:08 UTC
applied.  Thanks.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:27:25 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.